Get Core Deployment Network Summary

Get Core Deployment Network Summary
Get the DeploymentNetworkSummary core summary

Get the DeploymentNetworkSummary specific core deployment summary

Request
URI
GET
https://{api_host}/api/inventory/{org_id}/core/deployments/{deployment_id}/summaries/DeploymentNetworkSummary
COPY
Path Parameters
string
org_id
Required

organization identifier

string
deployment_id
Required

deployment identifier


Responses
200

OK

Returns DeploymentNetworkSummary of type(s) application/json
This response body class contains all of the following: InlineDeploymentNetworkSummary0
{
    "id": "string",
    "name": "string",
    "resource_id": "string",
    "org_id": "string",
    "resource_version": 0,
    "nsx_manager_ip": "string",
    "public_nsx_manager_url": "string",
    "private_nsx_manager_url": "string"
}

401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Not Found

Returns ErrorResponse of type(s) application/json
{
    "timestamp": "string",
    "status": 0,
    "error": "string",
    "message": "string",
    "path": "string"
}
string
timestamp
Required

Time error was created

integer
status
Required

HTTP status code

string
error
Required

Translation of status

string
message
Required

Error message

string
path
Required

Originating request URI


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/inventory/{org_id}/core/deployments/{deployment_id}/summaries/DeploymentNetworkSummary